{%- assign fields = section.settings -%}

{%- capture product_handles -%}
  {%- for block in section.blocks -%}
    {{- block.settings.product -}}
    {%- unless forloop.last -%},{%- endunless -%}
  {%- endfor -%}
{%- endcapture -%}

{%- include 'product-three-up',
  title: fields['title'],
  product_handles: product_handles -%}

{%- assign fields = nil -%}
{%- assign product_handles = nil -%}

{% schema %}
  {
    "name": "Home Products",
    "max_blocks": 3,
    "settings": [{
      "type": "text",
      "id": "title",
      "label": "Title"
    }],
    "blocks": [{
      "type": "product",
      "name": "Product",
      "settings": [{
        "type": "product",
        "id": "product",
        "label": "Product"
      }]
    }],
    "presets": [{
      "name": "Home Products",
      "category": "Products"
    }]
  }
{% endschema %}
